Bug 1004613 - jboss-as rpm has dependency issues
jboss-as rpm has dependency issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 23:44 EDT by John Himpel
Modified: 2013-09-05 01:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 01:31:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Himpel 2013-09-04 23:44:27 EDT
Description of problem: Since July, jboss-as has had a dependency issue with a missing cxf-common >= 2.6.3


Version-Release number of selected component (if applicable):jbosss-as-7.1.1-29.fc20.noarch


How reproducible:always

Steps to Reproduce:
1.Enable fedora-rawhide.repo
2.yum install jboss-as
3.

Actual results:
Error: Package: jboss-as-7.1.1-19.fc20.noarch (rawhide)
          Requires: cxf-common >= 2.6.3
Error: Package: jboss-as-7.1.1-19.fc20.noarch (rawhide)
          Requires jbossws-native >= 4.1.0
Error: Package: shrinkwrap-resolver-1.0.0-0.6.beta7.fc20.noarch (rawhide)
          Requires aether-connector-wagon
Error: Package: jboss-as-7.1.1-19.fc20.noarch (rawhide)
          Requires: jbosgi-resolver1


Expected results: Package to install cleanly


Additional info: Missing requirements other than cxf-common are fairly recent.  cxf-common missing started before July 1st.
Comment 1 Marek Goldmann 2013-09-05 01:31:24 EDT
This is not an issue. I'm in the process of upgrading jboss-as to wildlfly in Rawhide. This involves a lot of dependency changes and as a result jboss-as pacakge (and some others) is broken in Rawhide. jboss-as package will be retired in Rawhide once wildfly package will make it into repos. See bug #995045 for the wildfly review request.

Note You need to log in before you can comment on or make changes to this bug.